Trigger a job run
POST
/api/v1/jobs/{job_id}/trigger
const url = 'https://example.com/api/v1/jobs/1/trigger';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/jobs/1/triggerParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”job_id
required
Job Id
integer
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
JobRunResponse
Response model for complete job run information (with all task details).
object
run_id
required
Run Id
integer
job_id
required
Job Id
integer
tasks
Any of:
Array<object>
TaskRunResultTask execution result within a job run.
object
task_key
required
Task Key
string
null
Examplegenerated
{ "run_name": "example", "state": "example", "result_state": "example", "run_id": 1, "job_id": 1, "original_attempt_run_id": 1, "life_cycle_state": "example", "start_time": "2026-04-15T12:00:00Z", "end_time": "2026-04-15T12:00:00Z", "execution_duration": 1, "setup_duration": 1, "cleanup_duration": 1, "trigger": "example", "run_page_url": "example", "error_message": "example", "created_time": "2026-04-15T12:00:00Z", "tasks": [ { "task_key": "example", "task_run_id": 1, "task_type": "example", "state": "example", "error_message": "example", "start_time": "2026-04-15T12:00:00Z", "end_time": "2026-04-15T12:00:00Z", "duration_ms": 1, "task_config": {}, "description": "example", "environment_key": "example" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}